Debian-Sicherheitsankündigung

DSA-1447-1 tomcat5.5 -- Mehrere Verwundbarkeiten

Datum des Berichts:
03. Jan 2008
Betroffene Pakete:
tomcat5.5
Verwundbar:
Ja
Sicherheitsdatenbanken-Referenzen:
In Mitres CVE-Verzeichnis: CVE-2007-3382, CVE-2007-3385, CVE-2007-3386, CVE-2007-5342, CVE-2007-5461.
Weitere Informationen:

Mehrere entfernt ausnutzbare Verwundbarkeiten wurden in der Tomcat-Servlet- und -JSP-Engine entdeckt. Das Common Vulnerabilities and Exposures-Projekt identifiziert die folgenden Probleme:

  • CVE-2007-3382

    Es wurde entdeckt, dass einfache Anführungszeichen (') in Cookies als Trenner betrachtet wurden, was zu einer Informationsenthüllung führen könnte.

  • CVE-2007-3385

    Es wurde entdeckt, dass die Zeichenkette \" in Cookies nicht korrekt behandelt wurde, was zu einer Informationsenthüllung führen könnte.

  • CVE-2007-3386

    Es wurde entdeckt, dass das Host-Manager-Servlet eine unzureichende Eingabeüberprüfung durchführte, was zu einem Site-übergreifenden Skripting-Angriff benutzt werden könnte.

  • CVE-2007-5342

    Es wurde entdeckte, dass die JULI-Logging-Komponente seinen Zielpfad nicht beschränkte, was eventuell zu einer Diensteverweigerung (denial of service) durch Dateiüberschreibungen führen könnte.

  • CVE-2007-5461

    Es wurde entdeckt, dass das WebDAV-Servlet für eine absolute Pfad-Überschreitung verwundbar ist.

Die alte Stable-Distribution (Sarge) enthält tomcat5.5 nicht.

Für die Stable-Distribution (Etch) wurden diese Probleme in Version 5.5.20-2etch1 behoben.

Für die Unstable-Distribution (Sid) werden diese Probleme bald behoben sein.

Wir empfehlen Ihnen, Ihre tomcat5.5-Pakete zu aktualisieren.

Behoben in:

Debian GNU/Linux 4.0 (stable)

Quellcode:
http://security.debian.org/pool/updates/main/t/tomcat5.5/tomcat5.5_5.5.20.orig.tar.gz
http://security.debian.org/pool/updates/main/t/tomcat5.5/tomcat5.5_5.5.20-2etch1.dsc
http://security.debian.org/pool/updates/main/t/tomcat5.5/tomcat5.5_5.5.20-2etch1.diff.gz
Architektur-unabhängige Dateien:
http://security.debian.org/pool/updates/main/t/tomcat5.5/libtomcat5.5-java_5.5.20-2etch1_all.deb
http://security.debian.org/pool/updates/main/t/tomcat5.5/tomcat5.5-webapps_5.5.20-2etch1_all.deb
http://security.debian.org/pool/updates/main/t/tomcat5.5/tomcat5.5_5.5.20-2etch1_all.deb
http://security.debian.org/pool/updates/main/t/tomcat5.5/tomcat5.5-admin_5.5.20-2etch1_all.deb

MD5-Prüfsummen der aufgeführten Dateien stehen in der ursprünglichen Sicherheitsankündigung zur Verfügung.